<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="shop.alien.mapper.EvaluationLabelMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="shop.alien.entity.store.EvaluationLabel">
        <id column="id" property="id" />
        <result column="evaluation_Id" property="evaluationId" />
        <result column="store_id" property="storeId" />
        <result column="label" property="label" />
        <result column="delete_flag" property="deleteFlag" />
        <result column="created_time" property="createdTime" />
        <result column="updated_time" property="updatedTime" />
        <result column="created_user_id" property="createdUserId" />
        <result column="updated_user_id" property="updatedUserId" />


    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, evaluation_Id, store_id, label, delete_flag, created_time, updated_time, created_user_id, updated_user_id
    </sql>



    <select id="isLike" parameterType="string" resultType="string">
        select count(*) from evaluation_label where type="2" and user_id = #{userId}

    </select>

</mapper>
